Subject: Re: [PATCH] repack: rewrite the shell script in C.

From: Johannes Sixt <[email-masked]>
Date: Thu, 22 Aug 2013 12:46:29 +0200

Am 21.08.2013 15:07, schrieb Matthieu Moy:
> Stefan Beller <[email-masked]> writes:
>
>> But as these follow up changes heavily rely on the very first patch
>> I will first try to get that right, meaning accepted into pu.
>> Then I can send patches with these proposals such as making more
>> functions.
>
> I think it's better to get the style right before, to avoid doubling the
> review effort (review a hard-to-review patch first, and then re-review a
> style-fix one).

If by "style fix" you mean "coding style fix", I agree.

But, IMO, refactoring the long function can wait because the long function 
is easier to compare to the shell script, and I think that is more 
important later when you need to dig the history.

It is already too late to save review effort.

-- Hannes